package com.ywt.outpatient.domain.models.enums;

public enum ConsultStatusEnum {
    Paid("已付款", 1),
    Refuse("已退诊", 1 << 1),
    Accept("已接诊", 1 << 2),
    Cancel("已取消", 1 << 3),
    End("已结束", 1 << 4),
    Evaluate("已评价", 1 << 5),
    Refunded("已退款", 1 << 6),
    Settlement("已结算", 1 << 7),
    UNKNOWN("", 0);

    private final String displayName;

    private final int value;

    ConsultStatusEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }


}